﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using UIKit;

namespace Grid_Image_Column
{
    public class OrderInfo : INotifyPropertyChanged
    {
        public OrderInfo()
        {
        }

        #region private variables

        private int branchNo;
        private int customerID;
        private string customerName;
        private int savings;
        private int currentbalance;
        private int balancescale;
        private bool isopen;
        private int transaction;
        private UIImage customerImage;

        #endregion

        #region Public Properties

        public int CustomerID
        {
            get { return customerID; }
            set
            {
                this.customerID = value;
                RaisePropertyChanged("Customer ID");
            }
        }

        public int BranchNo
        {
            get { return branchNo; }
            set
            {
                this.branchNo = value;
                RaisePropertyChanged("Branch No");
            }
        }

        public string CustomerName
        {
            get { return this.customerName; }
            set
            {
                this.customerName = value;
                RaisePropertyChanged("Customer Name");
            }
        }


        public int Savings
        {
            get { return savings; }
            set
            {
                this.savings = value;
                RaisePropertyChanged("Savings");
            }
        }

        public int Current
        {
            get { return currentbalance; }
            set
            {
                this.currentbalance = value;
                RaisePropertyChanged("CurrentBalance");
            }
        }

        public int BalanceScale
        {
            get
            {
                return balancescale;
            }
            set
            {
                balancescale = value;
                RaisePropertyChanged("BalanceScale");
            }
        }

        public bool IsOpen
        {
            get
            {
                return isopen;
            }
            set
            {
                isopen = value;
                RaisePropertyChanged("IsOpen");
            }
        }

        public UIImage CustomerImage
        {
            get
            {
                return customerImage;
            }
            set
            {
                customerImage = value;
            }
        }

        public int Transactions
        {
            get { return transaction; }
            set
            {
                this.transaction = value;
                RaisePropertyChanged("ChartValue");
            }
        }

        #endregion

        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

        #endregion
    }
}
